Permalink
Commits on Dec 16, 2010
Commits on Dec 15, 2010
  1. Fixed documentation typo/edit

    committed Dec 15, 2010
Commits on Dec 14, 2010
  1. CPAN release 0.02

    committed Dec 14, 2010
  2. Merge branch 'dev'

    committed Dec 14, 2010
  3. Removed "no strict 'subs'"

    "no strict 'subs'"  shouldn't be necessary. Anders was likely missing one of
    the MI sub modules.
    committed Dec 14, 2010
  4. Math::Round::Fair issue

    --00248c6a5726285ea8049754402e
    Content-Type: text/plain; charset=ISO-8859-1
    
    OK, my latest patch is attached.  There might still be a bug or two in the
    proof, but it's a lot more explicit now.
    
    I'm having the same issue with this tarball that I have in the git tree.  At
    some point, I'll create my own Perl install to see if that helps, but
    probably not today.  Even if I can fix this, I'm concerned that other users
    might also get tripped up on it, so we should consider *not* using
    Devel::Assert until it becomes more ubiquitous.
    
    Thanks,
    &ers
    
    On Fri, Dec 10, 2010 at 4:49 PM, Marc Mims <marc@questright.com> wrote:
    
    > * Anders Johnson <andersjohnson@google.com> [101210 16:41]:
    > > I'm still having trouble with the git tree build.
    > >
    > > I had to add "no strict 'subs'" as the second line of Makefile.PL to get
    > it
    > > to run with the latest Module::Install.
    > >
    > > Now I can't install Devel::Assert because it requires Devel::Declare,
    > which
    > > won't build because:
    > >  *** Can't load dependency information for B::Hooks::OP::Check:
    > >    Can't locate B/Hooks/OP/Check/Install/Files.pm in @INC (@INC contains:
    > > inc /home/andersjohnson/tools/lib/perl5/x86_64-linux-gnu-thread-multi
    > > /home/andersjohnson/tools/lib/perl5/x86_64-linux-gnu-thread-multi
    > > /home/andersjohnson/tools/lib/perl5 /etc/perl /usr/local/lib/perl/5.10.1
    > > /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5
    > > /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at
    > > /home/andersjohnson/tools/lib/perl5/ExtUtils/Depends.pm line 170.
    > >
    > > Does it work with perl5.10.1?  I wonder if this is related to the fact
    > that
    > > I'm installing stuff into a private library using a public perl install
    > that
    > > I can't modify.  I can always create my own perl install instead, but
    > that
    > > will take a while.  It seems to me that having finicky dependencies could
    > > wind up being a maintenance issue.
    > >
    > > I'll try to get you a new version of the proof by Monday afternoon, but I
    > > don't think there's any way I'll have time to finish it much sooner.
    >
    > I'm running perl v5.10.1, so yes, it does run with that version.
    >
    > I've attached a tarball created with "make dist".  I wonder if it
    > builds for you.
    >
    >        -Marc
    >
    
    OK, my latest patch is attached.  There might still be a bug or two in the proof, but it&#39;s a lot more explicit now.<br><br>I&#39;m having the same issue with this tarball that I have in the git tree.  At some point, I&#39;ll create my own Perl install to see if that helps, but probably not today.  Even if I can fix this, I&#39;m concerned that other users might also get tripped up on it, so we should consider <i>not</i> using Devel::Assert until it becomes more ubiquitous.<br>
    
    <br>Thanks,<br>&amp;ers<br><br><div class="gmail_quote">On Fri, Dec 10, 2010 at 4:49 PM, Marc Mims <span dir="ltr">&lt;<a href="mailto:marc@questright.com">marc@questright.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
    
    * Anders Johnson &lt;<a href="mailto:andersjohnson@google.com">andersjohnson@google.com</a>&gt; [101210 16:41]:<br>
    <div class="im">&gt; I&#39;m still having trouble with the git tree build.<br>
    &gt;<br>
    &gt; I had to add &quot;no strict &#39;subs&#39;&quot; as the second line of Makefile.PL to get it<br>
    &gt; to run with the latest Module::Install.<br>
    &gt;<br>
    &gt; Now I can&#39;t install Devel::Assert because it requires Devel::Declare, which<br>
    &gt; won&#39;t build because:<br>
    &gt;  *** Can&#39;t load dependency information for B::Hooks::OP::Check:<br>
    &gt;    Can&#39;t locate B/Hooks/OP/Check/Install/Files.pm in @INC (@INC contains:<br>
    &gt; inc /home/andersjohnson/tools/lib/perl5/x86_64-linux-gnu-thread-multi<br>
    &gt; /home/andersjohnson/tools/lib/perl5/x86_64-linux-gnu-thread-multi<br>
    &gt; /home/andersjohnson/tools/lib/perl5 /etc/perl /usr/local/lib/perl/5.10.1<br>
    &gt; /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5<br>
    &gt; /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at<br>
    &gt; /home/andersjohnson/tools/lib/perl5/ExtUtils/Depends.pm line 170.<br>
    &gt;<br>
    &gt; Does it work with perl5.10.1?  I wonder if this is related to the fact that<br>
    &gt; I&#39;m installing stuff into a private library using a public perl install that<br>
    &gt; I can&#39;t modify.  I can always create my own perl install instead, but that<br>
    &gt; will take a while.  It seems to me that having finicky dependencies could<br>
    &gt; wind up being a maintenance issue.<br>
    &gt;<br>
    &gt; I&#39;ll try to get you a new version of the proof by Monday afternoon, but I<br>
    &gt; don&#39;t think there&#39;s any way I&#39;ll have time to finish it much sooner.<br>
    <br>
    </div>I&#39;m running perl v5.10.1, so yes, it does run with that version.<br>
    <br>
    I&#39;ve attached a tarball created with &quot;make dist&quot;.  I wonder if it<br>
    builds for you.<br>
    <font color="#888888"><br>
            -Marc<br>
    </font></blockquote></div><br>
    
    From bed499702a5e424c9d8a074d1a9f0da6af546f6a Mon Sep 17 00:00:00 2001
    From: Anders Johnson <andersjohnson@google.com>
    Date: Mon, 13 Dec 2010 16:35:17 -0800
    Subject: [PATCH] Added "no strict 'subs';" to make the latest Module::Install happy.
     Rewrote proof that $tslack >= $p0 * (1 - $p0).
    andersgoog committed with Dec 14, 2010
Commits on Dec 10, 2010
  1. inline _slack()

    committed Dec 10, 2010
Commits on Dec 8, 2010
  1. Updated POD

    committed Dec 8, 2010
  2. use a developer version

    committed Dec 8, 2010
  3. README is autogenerated

    committed Dec 8, 2010
Commits on Dec 7, 2010
  1. emilinate need for @ip array

    committed Dec 7, 2010
Commits on Dec 6, 2010
  1. optimization - change in place

    committed Dec 4, 2010
Commits on Dec 4, 2010
Commits on Dec 3, 2010
  1. Patch by Anders Johnson to limit allocation to the nearest integer of…

    … expected allocation
    committed Dec 3, 2010
Commits on Jul 5, 2009
  1. CPAN release

    Cleaned up the documentation and Makefile.PL an released.
    
    Removed generated content (except for README, kept for github) from the repos.
    committed Jul 5, 2009
Commits on Jul 2, 2009
Commits on Jul 1, 2009
  1. Initial version

    committed Jul 1, 2009